<?php
/**
* プロシージャを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface charcoal_IProcedure
{

	/*
	 * プロシージャ名
	 */
	public function getProcedureName();

	/*
	 * プロシージャを初期化する
	 */
	public function init( charcoal_Config $config );

	/*
	 * プロシージャを実行する
	 */
	public function execute( charcoal_Request $request, charcoal_ProcedureContext $context, charcoal_Response $response );
}
